Data Structures | Defines | Enumerations | Functions

# watch_gui.h File Reference

GUI Functions related to watching. More...

`#include "window_gui.h"`
`#include "company_base.h"`

Go to the source code of this file.

## Data Structures
class | WatchCompany
## Defines
#define | MAX_ACTIVITY 30
## Enumerations
enum | WatchCompanyWidgets { EWW_CAPTION, EWW_PB_COMPANY_FIRST, EWW_PB_COMPANY_LAST = EWW_PB_COMPANY_FIRST + MAX_COMPANIES - 1, EWW_HAS_CLIENT_FIRST, EWW_HAS_CLIENT_LAST = EWW_HAS_CLIENT_FIRST + MAX_COMPANIES - 1, EWW_ACTIVITY_FIRST, EWW_ACTIVITY_LAST = EWW_ACTIVITY_FIRST + MAX_COMPANIES - 1, EWW_PB_ACTION1_FIRST, EWW_PB_ACTION1_LAST = EWW_PB_ACTION1_FIRST + MAX_COMPANIES - 1, EWW_WATCH, EWW_ZOOMIN, EWW_ZOOMOUT, EWW_CENTER, EWW_NEW_WINDOW }
## Functions
void | ShowWatchWindow (CompanyID company_to_watch)

## Detailed Description

GUI Functions related to watching.

Definition in file watch_gui.h.